TBinaryProtocol (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class TBinaryProtocol

    java.lang.Object
      org.apache.thrift.protocol.TProtocol
          org.apache.thrift.protocol.TBinaryProtocol
              org.apache.cassandra.thrift.TBinaryProtocol

    public class TBinaryProtocol

extends org.apache.thrift.protocol.TBinaryProtocol

TODO This was added to support writeBinary on direct buffers for CASSANDRA-1714; we can remove it once we upgrade to Thrift 0.7, which incorporates the patch (THRIFT-883).

Nested Class Summary
`static class` | `TBinaryProtocol.Factory`

Field Summary

Fields inherited from class org.apache.thrift.protocol.TBinaryProtocol
`checkReadLength_, readLength_, strictRead_, strictWrite_, VERSION_1, VERSION_MASK`

Fields inherited from class org.apache.thrift.protocol.TProtocol
`trans_`

Constructor Summary
`TBinaryProtocol(org.apache.thrift.transport.TTransport trans)`
`TBinaryProtocol(org.apache.thrift.transport.TTransport trans, boolean strictRead, boolean strictWrite)`

Method Summary
`void` | `writeBinary(java.nio.ByteBuffer buffer)`

Methods inherited from class org.apache.thrift.protocol.TBinaryProtocol
`checkReadLength, readBinary, readBool, readByte, readDouble, readFieldBegin, readFieldEnd, readI16, readI32, readI64, readListBegin, readListEnd, readMapBegin, readMapEnd, readMessageBegin, readMessageEnd, readSetBegin, readSetEnd, readString, readStringBody, readStructBegin, readStructEnd, setReadLength, writeBool, writeByte, writeDouble, writeFieldBegin, writeFieldEnd, writeFieldStop, writeI16, writeI32, writeI64, writeListBegin, writeListEnd, writeMapBegin, writeMapEnd, writeMessageBegin, writeMessageEnd, writeSetBegin, writeSetEnd, writeString, writeStructBegin, writeStructEnd`

Methods inherited from class org.apache.thrift.protocol.TProtocol
`getTransport, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TBinaryProtocol

    public TBinaryProtocol(org.apache.thrift.transport.TTransport trans)

### TBinaryProtocol

    public TBinaryProtocol(org.apache.thrift.transport.TTransport trans,
                           boolean strictRead,
                           boolean strictWrite)

Method Detail

### writeBinary

    public void writeBinary(java.nio.ByteBuffer buffer)
                     throws org.apache.thrift.TException

  Overrides:
    `writeBinary` in class `org.apache.thrift.protocol.TBinaryProtocol`
  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation